﻿//-----------------------------------------------------------------------
// <copyright file="ArithmeticExpressionCreator.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor
{
    public class ArithmeticExpressionCreator : INodeVisitable
    {
        public ArithmeticExpressionCreator(string functionTarget, string functionDetail,
                                           OperationContext operationContext)
        {
            FunctionDetail = functionDetail;
            FunctionTarget = functionTarget;
            Context = operationContext;
        }

        // properties of the Arithemetic Expression creator
        internal string FunctionDetail { get; private set; }

        internal string FunctionTarget { get; private set; }

        internal OperationContext Context { get; private set; }

        // calls the nodevisitor
        public object Accept(INodeVisitor v)
        {
            return v.Visit(this);
        }
    }
}
