﻿//-----------------------------------------------------------------------
// <copyright file="Constants.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor
{
    using System.Collections.Generic;
    using Microsoft.ApplicationServer.Integration.Transforms.MapOM;

    public static class Constants
    {
        internal static Maplet map1 = null;

        // xsl constants encountered when walking down the xsl tree
        public static class XslConstants
        {
            internal const string TemplateTag = "template";
            internal const string AttributeTag = "attribute";
            internal const string IfTag = "if";
            internal const string ValueOfTag = "value-of";
            internal const string ForeachTag = "for-each";
            internal const string VariableTag = "variable";
            internal const string SelectAttribute = "select";
            internal const string NameAttribute = "name";
            internal const string TestAttribute = "test";
            internal const string MatchAttribute = "match";
            internal const string CsharpFunctionPrefix = "userCSharp";
            internal const string VbFunctionPrefix = "userVB";
            internal const string JscriptFunctionPrefix = "userJScript";
            internal const string XslPrefix = "xsl";
            internal const string CopyOfTag = "copy-of";
            internal const string MessageTag = "message";
            internal const string ScriptNSFunctionPrefix = "ScriptNS";
            internal const string TextTag = "text";
            internal const string StylesheetTag = "stylesheet";
        }

        public static class TRFMConstants
        {
            internal const string VariableTag = "var";
            internal const string ColumnNameTag = "col";
            internal const string ScopeSourceHome = "srcRoot1";
            internal const string ScopeSourcePrefix = "srcIteration";
            internal const string ScopeTargetHome = "tgtRoot1";
            internal const string ScopeTagetPrefix = "tgtIteration";
            internal const string ForeachPrefix = "ForEach_";
            internal const string MapeachPrefix = "MapEach_";
            internal const string ScopeHome = "Home";
            internal const int XcellValue = 30;
            internal const int YcellValue = 30;
        }

        internal static string CumulativeInput = string.Empty;
        internal static string ForeachLabel = string.Empty;
        internal static Dictionary<string, string> NamespacePrefix = new Dictionary<string, string>();
        internal static Dictionary<string, string> PrefixDictionary = new Dictionary<string, string>();
        internal static string sourceNameSpace = string.Empty;
        internal static string targetNameSpace = string.Empty;
        internal static string sourceTemplate = string.Empty;
    }
}
