﻿//-----------------------------------------------------------------------
// <copyright file="LinkHandler.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor
{
    using Logger;
    using Microsoft.ApplicationServer.Integration.Transforms.MapOM;

    public class LinkHandler : IXslElementHandler
    {
        PathExpression source;
        PathExpression target;

        // initialises the handler
        internal LinkHandler(PathExpression src, PathExpression tgt)
        {
            this.source = src;
            this.target = tgt;
        }

        internal LinkHandler(string sourcePath, string targetPath)
        {
            this.source = ExpressionArgumentCreator.CreatePathExpression(sourcePath);
            this.target = ExpressionArgumentCreator.CreatePathExpression(targetPath);
        }

        // creates an assignment statement with the given input and output values
        // Hence a direct link is created in the process
        public object HandleElementConversion()
        {
            Controller.log.trace(MsgType.INFO, "Link Source: " + this.source.Path + " Link Target : " + this.target.Path);
            return new Assignment
                {
                    From = this.source,
                    To = this.target
                };
        }
    }
}
