﻿//-----------------------------------------------------------------------
// <copyright file="LogicalExpressionCreator.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor
{
    public class LogicalExpressionCreator : INodeVisitable
    {
        // intialses the class
        public LogicalExpressionCreator(string functionTarget, string functionDetail, OperationContext operationContext)
        {
            FunctionDetail = functionDetail;
            FunctionTarget = functionTarget;
            Context = operationContext;
        }

        // properties of the LogicalExpressionCreator
        internal string FunctionDetail { get; private set; }

        internal string FunctionTarget { get; private set; }

        internal OperationContext Context { get; private set; }

        // returns a Logical Expression
        public object Accept(INodeVisitor v)
        {
            return v.Visit(this);
        }
    }
}
