﻿//-----------------------------------------------------------------------
// <copyright file="CustomXsltMapConvertor.cs" company="Microsoft">
//     Copyright (c) Microsoft. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

namespace BtmToTrfmConvertor.MapConvertor
{
    using System;
    using System.Collections.Generic;
    using System.IO;
    using System.Linq;
    using System.Text;
    using Logger;
    using Microsoft.BizTalk.Mapper.OM;
    using Microsoft.ApplicationServer.Integration.Transforms.MapOM;

    internal class CustomXsltMapConvertor : MapConvertor
    {
        private static string xslt, extXml;

        internal CustomXsltMapConvertor(string inputBtmFile, string outputTrfmFile) : base(inputBtmFile, outputTrfmFile) { }

        public override void Convert()
        {
            MapFile trfmFile = base.GetTrfmBase();
            XsltBasedMaplet maplet = (XsltBasedMaplet)trfmFile.Maplets[0];
            maplet.Xslt = xslt;
            maplet.ExtXml = extXml;
            trfmFile.Save(outputFile);
        }

        internal static void ExtractData(Map map)
        {
            xslt = map.CustomXslt;
            extXml = map.CustomExtensionXml;
        }
    }
}
